Bug 462278 - do_mount_indirect: indirect trigger not valid
do_mount_indirect: indirect trigger not valid
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Ian Kent
Martin Jenner
:
Depends On: 460083
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 00:11 EDT by Ian Kent
Modified: 2009-05-18 15:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:36:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2008-09-15 00:11:09 EDT
+++ This bug was initially created as a clone of Bug #448936 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b5) Gecko/2008032620 Firefox/3.0b5

Description of problem:
When running 'find' on a sub-directory (only one level down) of an automount (using NFS), the find returns "No such file or directory" on the first attempt, but then works fine on the second attempt.  So it occurs every time the directory isn't mounted.

Quick Example:
auto_master:
/home/test auto_test
auto_test:
dir  host:/my/test/&

find /home/test/dir/subdir - fails with "find: /home/test/dir/subdir: No such file or directory"
find /home/test/dir - works
find /home/test/dir/subdir/otherdir - works

Error message:
do_mount_indirect: indirect trigger not valid or already mounted /home/test/dir/subdir



Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.88, kernel-2.6.18-92.el5

How reproducible:
Always


Steps to Reproduce:
1. Setup an NFS export
2. Create an automount (we're using NIS+ with niscompat)
3. Run 'find' on a sub-directory of that mount

Actual Results:
find: /path/to/subdir: No such file or directory

Expected Results:
A listing of found files should have been returned.

Additional info:
This was on a 5.1 system, with the kernel and autofs updated to the 5.2 versions.

--- Additional comment from mrkfact@gmail.com on 2008-05-29 11:33:25 EDT ---

I have the the output from automount run in debug mode, but I would need the bug
to be private as it contains sensitive data.

--- Additional comment from ikent@redhat.com on 2008-05-29 23:11:07 EDT ---

(In reply to comment #1)
> I have the the output from automount run in debug mode, but I would need the bug
> to be private as it contains sensitive data.

Email it directly to me.

--- Additional comment from mrkfact@gmail.com on 2008-05-30 08:45:17 EDT ---

Email sent.

--- Additional comment from matt.dey@gmail.com on 2008-06-24 10:19:36 EDT ---

Is there any movement on this bug.  I believe I am having the same issue.

--- Additional comment from ikent@redhat.com on 2008-06-24 11:49:06 EDT ---

(In reply to comment #4)
> Is there any movement on this bug.  I believe I am having the same issue.

Yes, but it's being worked on in another bug.
I believe this is a kernel bug and I have patches to address
it but I'm not sure how to make a test kernel available?


--- Additional comment from mrkfact@gmail.com on 2008-06-30 11:27:58 EDT ---

Which other bug is this being worked on?  I'd like to track it.

--- Additional comment from ikent@redhat.com on 2008-07-01 22:59:00 EDT ---

(In reply to comment #6)
> Which other bug is this being worked on?  I'd like to track it.

I don't think that bug is public, sorry.

The current status is that I have identified a mistake in the
patches and I'll be building test kernels soon. We will just
need to find a way to make them available to you for testing.

Unfortunately, there have been a few really difficult issues
reported recently and I'm struggling to fix them.

Sorry for the delay and inconvenience.
I'll get back to this bug as soon as I can.

Ian


--- Additional comment from mrkfact@gmail.com on 2008-08-18 09:07:59 EDT ---

Has a test kernel which includes a fix for this problem been built yet?

--- Additional comment from ikent@redhat.com on 2008-08-20 03:24:49 EDT ---

(In reply to comment #8)
> Has a test kernel which includes a fix for this problem been built yet?

It has, how can I make it available to you?

--- Additional comment from mrkfact@gmail.com on 2008-08-28 09:10:50 EDT ---

Ian,

Could you place it on an http or ftp server?

--- Additional comment from ikent@redhat.com on 2008-08-28 22:14:35 EDT ---

(In reply to comment #10)
> Ian,
> 
> Could you place it on an http or ftp server?

Should have asked, what arches?

--- Additional comment from ikent@redhat.com on 2008-09-02 05:13:40 EDT ---

(In reply to comment #11)
> (In reply to comment #10)
> > Ian,
> > 
> > Could you place it on an http or ftp server?
> 
> Should have asked, what arches?

I've built and uploaded kernels for i686 and x86_64 to
http://www.kernel.org/pub/linux/kernel/people/raven/autofs

Ian

--- Additional comment from ikent@redhat.com on 2008-09-03 12:16:30 EDT ---

The corrections for this bug are covered by the changes
committed for bug 452139.

Don Zickus has included these patches in the test kernel
kernel-2.6.18-107.el5 which can be download from
http://people.redhat.com/dzickus/el5.

Ian

--- Additional comment from mrkfact@gmail.com on 2008-09-08 10:14:55 EDT ---

Thanks Ian.  I've tested Don's kernel build (x86_64), and verified that it did fix the problem.

-Mike
Comment 1 RHEL Product and Program Management 2008-09-15 00:29:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 errata-xmlrpc 2009-05-18 15:36:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.